Index: trunk/test/test.sh
===================================================================
--- trunk/test/test.sh	(revision 172)
+++ trunk/test/test.sh	(revision 174)
@@ -482,6 +482,12 @@
 
 find_hostname () {
-    tmp=`hostname -f 2>/dev/null`
-    if [ $? -ne 0 ]; then
+
+    uname -a | grep Linux >/dev/null
+    if [ $? -eq 0 ]; then
+	tmp=`hostname -f 2>/dev/null`
+	if [ $? -ne 0 ]; then
+	    tmp=`hostname 2>/dev/null`
+	fi
+    else
 	tmp=`hostname 2>/dev/null`
     fi
